For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SDKsHelp CenterLog inSign up
    • Overview
  • Getting Started
    • API Mechanics
    • Quickstart
  • Guides
    • Communications API
    • Troubleshooting
    • Events
    • Changelog
  • Comms API Reference
      • Summary
      • POSTSend Push Notifications
      • GETList Push Notifications
      • GETFetch a Push Notification
      • GETFetch a Push Notification Operation
      • GETList Push Notification Operations
LogoLogo
SDKsHelp CenterLog inSign up
Comms API ReferencePush Notifications

List Push Notifications

GET
https://comms.twilio.com/v1/PushNotifications
GET
/v1/PushNotifications
1import { TwilioClient } from "twilio-comms";
2
3async function main() {
4 const client = new TwilioClient({
5 accountId: "YOUR_ACCOUNTID_HERE",
6 authToken: "YOUR_AUTHTOKEN_HERE",
7 });
8 await client.pushNotifications.list({});
9}
10main();
1{
2 "pushNotifications": [
3 {
4 "createdAt": "2025-05-30T17:24:46Z",
5 "from": {
6 "fcm": "comms_credential_b554a2dc48d74ff03500c2a582349cad"
7 },
8 "id": "comms_pushnotification_3de3vbxqx0aghtdy1jgf9qdteh",
9 "status": "SENT",
10 "to": {
11 "token": "dQvBnKpXmRtYwLzHjFsEuA:APA91bHNaWc-KdLePfQgShTiUjVk_WlXmYnZoApBqCr-DsEtFuGvHwIxJy_KzLaMbNcOdPeQfRgShTiUjVk-WlXmYnZoApBqCrDsEtFuGvHwIxJy_KzLaMbNcO",
12 "provider": "FCM"
13 },
14 "updatedAt": "2025-05-30T17:24:49Z",
15 "priority": "HIGH",
16 "sound": "bell_ring"
17 }
18 ],
19 "pagination": {
20 "next": null,
21 "self": "eyJTSyI6IkEjMDFqbmVoYm5xYWZmNDlrazUxZHA1bmN5bXciLCJTSzEiOiJBI2FjdGl2YXRlZCMyMDI1LTAzLTAzVDE3OjM3OjQ3WiMwMWpuZWhibnFhZmY0OWtrNTFkcDVuY3ltdyIsIlBLIjoiQyNBQzYwMzg4ODJiZDY5ZWIyNGM4YzU4ZGI5NjE4NjE3OTE4I0EifQ=="
22 }
23}

This operation fetches a paginated list of Push Notifications.

Data retention: Records are available for 7 days after creation. Requests for data older than 7 days may return incomplete results.

Was this page helpful?
Previous

Fetch a Push Notification

Next
Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <account_id:auth_token>.

OR
AuthorizationBasic

Basic authentication of the form Basic <api_key:api_key_secret>.

Query parameters

operationIdstringOptionalformat: "^comms_operation_[0-7][a-hjkmnpqrstv-z0-9]{25,34}"
Filter Push Notifications by Operation ID.
statusenumOptional
Filter Push Notifications by Delivery Status.
Allowed values:
tagsstringOptionalformat: "^(?:[a-zA-Z0-9._~-]+:[a-zA-Z0-9._~-]+;){1,10}$"
Match Push Notifications by one or many tags. If more than one tag is specified in the query, the search will return only results that have ALL the matching tags. For Example: ``` GET /PushNotifications?tags=ageGroup:20s;industry:engineering; ```
startDatestringOptionalformat: "date-time"
Filter to Push Notifications created after the specified date and time.
endDatestringOptionalformat: "date-time"
Filter to Push Notifications created before the specified date and time.
userstringOptionalformat: "^comms_pushnotificationuser_[0-7][a-hjkmnpqrstv-z0-9]{25,34}"
Filter Push Notifications sent to a specific User.
providerenumOptional
Filter Push Notifications by provider.
Allowed values:
pageTokenstringOptional
The token to retrieve the next page of results.
pageSizeintegerOptional1-1000Defaults to 50
The number of resources to return in a page.

Response

OK
pushNotificationslist of objects
paginationobject

Metadata for paginated results. This object contains two tokens to navigate through paginated results.

  • Use next to retrieve the ‘next’ page in the result list.
  • Use self to retrieve the same page of the result list again.
  • Supply the token in the pageToken query param.

Errors

400
Bad Request Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error

Match Push Notifications by one or many tags. If more than one tag is specified in the query, the search will return only results that have ALL the matching tags.

For Example:

GET /PushNotifications?tags=ageGroup:20s;industry:engineering;